Javascript error Geogebra 6-0-379-0

Conrad Richter shared this question 4 years ago
Needs Answer

I wanted to install the geogebra version 6-0-379-0 but I got a Javascript error. Because I had no Java or Javascript I first installed it. I still had the same error.


So I searched for answers on Google and found out that somebody already asked the same question. All the aswers were like : " use the offical link: https://download.geogebra.org/package/win-autoupdate

or: http://www.geogebra.org/download . "


I did that. Still the same error. I wanted to comment the question but, i don't know why, I wasn't able to. So I ask a new question: What can I try to do?


Short what I did yet:

1. Install Java Rundown Environment

2. Install Java Script

3. Use the official link


Thanks for answers

Comments (14)

photo
1

No need to install Java.

GeoGebra comes packed with its own version of Java.

I suggest you to uninstall GeoGebra properly (use Control Panel - Uninstall options).

Then delete this folder:

C:\Users\<username>\AppData\Roaming\GeoGebra 5.0

This is a hidden folder, so can be hard to find. One way is to

press <Windows>R and then copy and paste this (changing

<username> to your Windows username)


explorer /n, /e, /select, C:\Users\<username>\AppData\Roaming\GeoGebra 5.0


then right-click -> Delete


(I usually restart the laptop after a clean uninstall, just to get rid of possible temp files and so)

Reinstall GeoGebra using the official Download link: https://www.geogebra.org/download

photo
1

ciao Simona

since I did still run the 6-0-363 (without problems) I just installed the one available on the downloadpage, at least tried to, since I got into the same error problem. I deleted the roaming\GeoGebra5.0 as you mentioned. but the problem is still the same. I cleaned the browser cache and the java cache to. After that I had to reinstall the Classic version, which is now 5-0-380. But upon opening the exe-file for version 6 I get this screen:

fe0e233b3c881e98597678469ca111d3


I presume Conrad and I are not the only ones in problem and with lots of users that aren't ict-nerds maybe an easy wat to download 6-0-379 is needed. For me it's the first version with this problem. You should be able to download an update version just by clicking on the download button, aren"t you. Am I missing a detail in the procedure to fix the problem or is there a problem with the version itself?

chris

photo
1

Sorry my answer was partially useless, since I was sure the user referred to version 5, not 6 (need holidays, no holidays).

Anyway I'm directly addressing this issue to the Devs, let's see what they say.

Have a great day Chris

photo
1

For GeoGebra 6 the Roaming folder to delete is

C:\Users\<username>\AppData\Roaming\GeoGebra

photo
1

@Chris: does it help if you delete AppData\Local\GeoGebra_6 and reinstall?

photo
1

hi

I went first for some jogging (@ Simona: this can help to reduce stress and confusion as well as holidays) and now I'm back online

- Simona: I deleted the folder C:\Users\<username>\AppData\Roaming\GeoGebra but this gave the same error result.

a0d676a3cbd588fae44354c926d69fc1

- Michael: I removed the installer, then searched for the map you suggested, but strangely I couldn't. I get the message that the map or files in the map are in use and have to be closed first, although no other maps are opened, nor is GepGebra. I even closed this browser window so the only object opened was the AppData\Local window???

So I did my steps for today in real life but not in getting out of this problem.

Another question that occured to me was regarding the huge difference in version numbers, automatic update isn't included as it used to be in GG classic. Is this true?

chris

978824608af81edde87e6c262f81bdd9

photo
1

hi Michael

restarted my laptop to make sure that no map was opened. Then finally I succeeded to remove the indicated folder AppData\Local\GeoGebra_6.

Then I downloaded the installer exe once again, but on running it, I still got the same error message.

chris

photo
1

Very strange! Can you try on a different computer?


Does the portable Math Calculator version work?

photo
1

hi Michael

I just have an older laptop on Win 7 that's now busy for 20 minutes to download the installer.

Meanwhile I first deleted the folder AppData\Local\GeoGebra_6, then I downloaded the portable and after unpacking it produced just the same error message:

788f8d25ff97d2063df23765f135c0f8

chris

photo
1

hi

my win7 snail did not make ik through the exe file...

I could run the Math Calculators online, but this I wasn't a problem on my 'normal' laptop to.

So it's still one of the Windows mysteries...

chris

photo
1

From Russia with love! ))


Have the same error. (( giac.node

photo
1

Same error, Windows 10, no GeoGebra previously installed.

photo
1

Same error, Windows 10, no GeoGebra previously installed.

However, I have another identical laptop (hardware and newly updated windows) - where installation succeeded. I'll check versions of everything later today - unless you already have an answer for us ;-)

photo
1

Regarding automatic updates: my working GG6 was/is based on version 6.0.363.

I can't perform the recent downloads, but I still can/could reinstall the 363 from the saved exe-file.

Now, when I start GG6, I get the java- error message as described above, but GG6 is starting up nevertheless. Then, when I look in the info about licences I can see that it shows version 6.0.363.


So strangly the automatic updates are'nt done and I get the error mesage, but I can work with GG6.

Starting GG calculators from my profile page opens 5.0.382-webapp without problems.

chris

© 2021 International GeoGebra Institute